gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Layout.HBox

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A horizontal container box

Synopsis

- data HBox
- class BoxClass o => HBoxClass o
- castToHBox :: GObjectClass obj => obj -> HBox
- gTypeHBox :: GType
- toHBox :: HBoxClass o => o -> HBox
- hBoxNew :: Bool -> Int -> IO HBox

# Detail

`HBox` is a container that organizes child widgets into a single row.

Use the `Box` packing interface to determine the arrangement, spacing, width, and alignment of `HBox` children.

All children are allocated the same height.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Box
    | +----HBox
    | +----Combo
    | +----FileChooserButton
    | +----Statusbar

# Types

data HBox Source #

#### Instances

Instances details

Eq HBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: HBox -> HBox -> Bool Source # (/=) :: HBox -> HBox -> Bool Source #
Ord HBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods compare :: HBox -> HBox -> Ordering Source # (<) :: HBox -> HBox -> Bool Source # (<=) :: HBox -> HBox -> Bool Source # (>) :: HBox -> HBox -> Bool Source # (>=) :: HBox -> HBox -> Bool Source # max :: HBox -> HBox -> HBox Source # min :: HBox -> HBox -> HBox Source #
GObjectClass HBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: HBox -> GObject Source # unsafeCastGObject :: GObject -> HBox Source #
BoxClass HBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass HBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
HBoxClass HBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass HBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class BoxClass o => HBoxClass o Source #

#### Instances

Instances details

HBoxClass FileChooserButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
HBoxClass HBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
HBoxClass InfoBar Source # |
Instance details Defined in Graphics.UI.Gtk.Types
HBoxClass Statusbar Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToHBox :: GObjectClass obj => obj -> HBox Source #

gTypeHBox :: GType Source #

toHBox :: HBoxClass o => o -> HBox Source #

# Constructors

hBoxNew Source #

Arguments

:: Bool | `homogeneous` - `True` if all children are to be given equal space allotments.
-> Int | `spacing` - the number of pixels to place by default between children.
-> IO HBox |

Creates a new `HBox`.